Index: plugins/tags/js/posts_actions.js
===================================================================
--- plugins/tags/js/posts_actions.js	(revision 0)
+++ plugins/tags/js/posts_actions.js	(revision 756)
@@ -1,3 +1,9 @@
 $(function() {
+	function split( val ) {
+		return val.split( /,\s*/ );
+	}
+	function extractLast(term) {
+		return split(term).pop();
+	}
 	var tag_field = $('#new_tags');
 	
@@ -19,41 +25,67 @@
 	});
 	
-	$('#post_meta_input').autocomplete(mEdit.service_uri, {
-		extraParams: {
-			'f': 'searchMeta',
-			'metaType': 'tag'
+	$('#post_meta_input')
+	.bind( "keydown", function( event ) {
+		if ( event.keyCode === $.ui.keyCode.TAB &&
+				$( this ).data( "autocomplete" ).menu.active ) {
+			event.preventDefault();
+		}
+	})
+	.autocomplete({
+		minLength: 2,
+		delay: 1000,
+		source: function(request,response) {
+			$.ajax({
+				url: mEdit.service_uri,
+				data: {
+					'f': 'searchMeta',
+					'metaType': 'tag',
+					'q': extractLast(request.term)
+				},
+				success:function(data) {
+					results = [];
+					$(data).find('meta').each(function(){
+						var id = $(this).text();
+						var roundpercent = $(this).attr("roundpercent");
+						var count = $(this).attr("count");
+						console.log(id);
+						console.log(roundpercent);
+						console.log(count);
+						var label = id + ' (' +
+							dotclear.msg.tags_autocomplete.
+								replace('%p',roundpercent).
+								replace('%e',count + ' ' +
+								((count > 1) ?
+									dotclear.msg.entries :
+									dotclear.msg.entry
+								)) + ')';
+							console.log(label);
+						results.push({label:label,value:id});
+					});
+					response(results);
+				}
+			});
 		},
-		delay: 1000,
-		multiple: true,
-		matchSubset: false,
-		matchContains: true,
-		parse: function(xml) { 
-			var results = [];
-			$(xml).find('meta').each(function(){
-				results[results.length] = {
-					data: {
-						"id": $(this).text(),
-						"count": $(this).attr("count"),
-						"percent":  $(this).attr("roundpercent")
-					},
-					result: $(this).text()
-				}; 
-			});
-			return results;
+		search: function() {
+			var term = extractLast( this.value );
+			if ( term.length < 2 ) {
+				return false;
+			}
 		},
-		formatItem: function(tag) {
-			return tag.id + ' <em>(' +
-			dotclear.msg.tags_autocomplete.
-				replace('%p',tag.percent).
-				replace('%e',tag.count + ' ' +
-					(tag.count > 1 ?
-					dotclear.msg.entries :
-					dotclear.msg.entry)
-				) +
-			')</em>';
+		focus: function() {
+			// prevent value inserted on focus
+			return false;
 		},
-		formatResult: function(tag) { 
-			return tag.result; 
-		}
+		select: function( event, ui ) {
+			var terms = split( this.value );
+			// remove the current input
+			terms.pop();
+			// add the selected item
+			terms.push( ui.item.value );
+			// add placeholder to get the comma-and-space at the end
+			terms.push( "" );
+			this.value = terms.join( ", " );
+			return false;
+		}		
 	});
 });
Index: plugins/tags/tag_posts.php
===================================================================
--- plugins/tags/tag_posts.php	(revision 793)
+++ plugins/tags/tag_posts.php	(revision 711)
@@ -17,5 +17,5 @@
 
 
-$page = !empty($_GET['page']) ? (integer) $_GET['page'] : 1;
+$page = !empty($_GET['page']) ? $_GET['page'] : 1;
 $nb_per_page =  30;
 
Index: plugins/tags/tags.php
===================================================================
--- plugins/tags/tags.php	(revision 711)
+++ plugins/tags/tags.php	(revision 782)
@@ -43,11 +43,11 @@
 			$col = 1;
 		}
-		$cols[$col] .= '<tr class="tagLetter"><td colspan="2"><span>'.$letter.'</span></td></tr>';
+		$cols[$col] .= '<tr class="tagLetter"><th scope="row" colspan="2"><span>'.$letter.'</span></th></tr>';
 	}
 	
 	$cols[$col] .=
 	'<tr class="line">'.
-		'<td class="maximal"><a href="'.$p_url.
-		'&amp;m=tag_posts&amp;tag='.rawurlencode($tags->meta_id).'">'.$tags->meta_id.'</a></td>'.
+		'<th scope="row" class="maximal"><a href="'.$p_url.
+		'&amp;m=tag_posts&amp;tag='.rawurlencode($tags->meta_id).'">'.$tags->meta_id.'</a></th>'.
 		'<td class="nowrap"><strong>'.$tags->count.'</strong> '.
 		(($tags->count==1) ? __('entry') : __('entries')).'</td>'.
@@ -57,5 +57,8 @@
 }
 
-$table = '<div class="col"><table class="tags">%s</table></div>';
+$table =
+'<div class="col"><table class="tags"><caption>'.
+__('Tags list').
+'</caption><tbody>%s</tbody></table></div>';
 
 if ($cols[0])
